# LicenseBinding

Defines the unique identifier a license is bound to.&#x20;

The possible values are:

| **LicenseBinding**            | **Description**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| ----------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| ActiveDirectoryComputerDomain | Binds the license to the AD domain.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| ActiveDirectoryAppDomain      | Binds the license to the AD domain associated to the account running the application.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| ComputerName                  | Binds the license to the name of the computer                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| LoggedInUser                  | Binds the license to the logged-in user account on a Windows computer.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| MacAddress                    | Binds the license to the first MAC address discovered.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| MotherBoardSerialNumber       | Binds the license to the motherboard serial number.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| QlmUniqueSystemIdentifier1    | <p>Binds the license to a unique identifier as shown below:</p><p>For Virtual machines, binds the license to the System Management BIOS UUID.</p><p>For Docker Containers, binds the license to the hostname of the container.</p><p>For physical machines, gets Motherboard Serial Number and evaluates if the Serial Number is reliable. If it is, the license is bound to that Serial Number. </p><p>If the above fails, binds the license to the first Volume's Serial Number.</p><p>If the above fails, binds the license to the first MAC Address.</p><p>If the above fails, binds the license to the Computer Name. </p> |
| QlmUniqueSystemIdentifier2    | Same as QlmUniqueSystemIdentifier1 but includes additional exceptions to handle unreliable motherboard serial numbers.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| SystemManagementBiosUuid      | Binds the license to the System Management BIOS UUID                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| UserDefined                   | Binds the license to a user-defined identifier                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| VolumeSerialNumber            | Binds the license to the serial number of the first volume.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| USBKey                        | Binds the license to the Serial Number of the USB key from where the application is running.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| DockerContainer               | Binds the license to the hostname of the Docker Container.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |

&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/properties/licensebinding.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
